Skip to main content
PATCH
/
v1
/
team
/
teams
/
{teamId}
Rename a team or update its budget pool
curl --request PATCH \
  --url https://api.example.com/v1/team/teams/{teamId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "budgetPoolUsd": 123
}
'
{
  "id": "<string>",
  "tenantId": "<string>",
  "name": "<string>",
  "budgetPoolUsd": 123,
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

teamId
string
required

Body

application/json
name
string
required

New team name, unique within the tenant

budgetPoolUsd
number | null

Optional budget pool for the team in USD

Response

200 - application/json
id
string
required
tenantId
string
required
name
string
required
budgetPoolUsd
number | null
required
createdAt
string<date-time>
required
updatedAt
string<date-time>
required